SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:normalize-unicode

fn:normalize-unicode( string? $srcval) → string?

Function signature

$srcval | xs:string ?
Result | xs:string ?

Converts a string to Unicode normalized form NFC by modifying the way in which combining characters are represented

XPath 2.0 Specification

fn:normalize-unicode( string? $srcval, string $normalizationForm) → string?

Function signature

$srcval | xs:string ?
$normalizationForm | xs:string
Result | xs:string ?

XPath 2.0 Specification

Converts a string to a given Unicode normalized form by modifying the way in which combining characters are represented

In the Saxon implementation, the normalization form must be one of "NFC", "NFD", "NFKC", or "NFKD" (the value "fully-normalized" is not supported).

Next